function [ c m z a ] = clear_unused( c , m , z , a , param_set )
% function [ c m z a ] = clear_unused( c , m , z , a , param_set )

% clear unused categories
zero_ind = find( sum( c , 1 ) == 0 );
c( : , zero_ind ) = [];
m( zero_ind , : ) = [];

% clear unused features
switch param_set.model_type
    case { 'lg' , 'exp' } 
        zero_ind = find( sum( m , 1 ) == 0 );
        m( : , zero_ind ) = [];
        a( zero_ind , : ) = [];
        z( : , zero_ind ) = [];
end