function a = resample_lg_a( x , z , param_set )
% function a = resample_lg_a( x , z , param_set )
% resample a : gaussian prior on a , gaussian prior on the noise
feature_count = size( z , 2 );
a = zeros( feature_count , size( x , 2 ) );
for d_ind = param_set.dim_setting_count
    for d = param_set.d_ind_set{ d_ind }
        Linv = z( param_set.n_ind_set{ d_ind } , : )' * z( param_set.n_ind_set{ d_ind } , : ) ...
            + (param_set.sigma_n / param_set.sigma_f )^2 * eye( feature_count );
        L = inv( Linv );
        chol_c = chol( param_set.sigma_n^2 * L );
        a(:,d) = chol_c' * normrnd( 0 , 1 , size( a( : , d ) ) ) ...
            + L * z( param_set.n_ind_set{ d_ind } , : )' * x( param_set.n_ind_set{ d_ind } , d );
    end
end
