function lprior = compute_ibp_prior( z , i , j , hack_inf )
% function lprior = compute_ibp_prior( z , i , j , hack_inf );
if nargin == 3
    hack_inf = false;
end

% get the counts
n = size( z , 1 );
m = sum( z(:,j) ) - z(i,j);

% hack if needed
if hack_inf && m == 0
    m = 1;
end

% compute values
lprior = [ log( n - m ) log( m ) ];