function lp = lpdfNormal( a , mu , sigma )
% function lp = lpdfNormal( a , mu , sigma );
% computes the log probability density for a matrix with independent
% entries gaussian with mean mu and variance sigma
lp = -1 * numel( a ) / 2 * log( 2 * pi * sigma^2 ) ...
    - 1 / 2 / sigma^2 * sum( sum(  ( a - mu ).^2 )  );